Package co.nstant.in.cbor

## Class CborBuilder

- java.lang.Object
- - co.nstant.in.cbor.builder.AbstractBuilder<CborBuilder>
  - - co.nstant.in.cbor.CborBuilder

-     public class CborBuilder
      extends AbstractBuilder<CborBuilder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CborBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CborBuilder` | `add​(boolean value)` |
    `CborBuilder` | `add​(byte[] bytes)` |
    `CborBuilder` | `add​(double value)` |
    `CborBuilder` | `add​(float value)` |
    `CborBuilder` | `add​(long value)` |
    `CborBuilder` | `add​(DataItem dataItem)` |
    `CborBuilder` | `add​(String string)` |
    `CborBuilder` | `add​(BigInteger value)` |
    `ArrayBuilder<CborBuilder>` | `addArray()` |
    `protected void` | `addChunk​(DataItem dataItem)` |
    `MapBuilder<CborBuilder>` | `addMap()` |
    `CborBuilder` | `addTag​(long value)` |
    `List<DataItem>` | `build()` |
    `CborBuilder` | `reset()` |
    `ArrayBuilder<CborBuilder>` | `startArray()` |
    `ByteStringBuilder<CborBuilder>` | `startByteString()` |
    `ByteStringBuilder<CborBuilder>` | `startByteString​(byte[] bytes)` |
    `MapBuilder<CborBuilder>` | `startMap()` |
    `UnicodeStringBuilder<CborBuilder>` | `startString()` |
    `UnicodeStringBuilder<CborBuilder>` | `startString​(String string)` |
    `CborBuilder` | `tagged​(long value)` |

    - ### Methods inherited from class co.nstant.in.cbor.builder.AbstractBuilder

      `convert, convert, convert, convert, convert, convert, convert, getHalfPrecisionFloatDecoder, getHalfPrecisionFloatEncoder, getParent, tag`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CborBuilder

          public CborBuilder()

  - ### Method Detail

    - #### reset

          public CborBuilder reset()

    - #### build

          public List<DataItem> build()

    - #### add

          public CborBuilder add​(DataItem dataItem)

    - #### add

          public CborBuilder add​(long value)

    - #### add

          public CborBuilder add​(BigInteger value)

    - #### add

          public CborBuilder add​(boolean value)

    - #### add

          public CborBuilder add​(float value)

    - #### add

          public CborBuilder add​(double value)

    - #### add

          public CborBuilder add​(byte[] bytes)

    - #### startByteString

          public ByteStringBuilder<CborBuilder> startByteString()

    - #### startByteString

          public ByteStringBuilder<CborBuilder> startByteString​(byte[] bytes)

    - #### add

          public CborBuilder add​(String string)

    - #### startString

          public UnicodeStringBuilder<CborBuilder> startString()

    - #### startString

          public UnicodeStringBuilder<CborBuilder> startString​(String string)

    - #### addTag

          public CborBuilder addTag​(long value)

    - #### tagged

          public CborBuilder tagged​(long value)

    - #### startArray

          public ArrayBuilder<CborBuilder> startArray()

    - #### addArray

          public ArrayBuilder<CborBuilder> addArray()

    - #### addMap

          public MapBuilder<CborBuilder> addMap()

    - #### startMap

          public MapBuilder<CborBuilder> startMap()

    - #### addChunk

          protected void addChunk​(DataItem dataItem)

      Overrides:
        `addChunk` in class `AbstractBuilder<CborBuilder>`